Atkmm-2.28.1

Introduction to Atkmm

Atkmm is the official C++ interface for the ATK accessibility toolkit library.

This package is known to build and work properly using an LFS-10.0 platform.

Package Information

Atkmm Dependencies

Required

ATK-2.36.0 and GLibmm-2.64.5

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/atkmm

Installation of Atkmm

Install Atkmm by running the following commands:

mkdir bld &&
cd    bld &&

meson --prefix=/usr .. &&
ninja

This package does not come with a testsuite.

Now, as the root user:

ninja install

Contents

Installed Programs: None
Installed Library: libatkmm-1.6.so
Installed Directories: /usr/{include,lib}/atkmm-1.6 and /usr/share/{devhelp/books/atkmm-1.6,doc/atkmm-2.28.1}

Short Descriptions

libatkmm-1.6.so

contains the ATK API classes.

Last updated on 2020-12-21 19:49:29 -0600